#
Summary: Updated /usr/include/linux/time.h file
Name: zz_linux_time.h_fix
Version: 1.0
Release: 1
Copyright: SWK
Group: Fermi
URL: ftp://b0pc07.fnal.gov/pub/RedHat50/redhat50_changes.txt
Distribution:
Vendor: Fermi Lab
Packager: Steven W. Kovich
requires: kernel-headers
%description
        The files /usr/include/time.h and /usr/include/linux/time.h both define
a structure called timespec. Both use blocking macros to insure that the
structure is only defined once, no matter what. Unfortunately, they use
DIFFERENT blocking macros. This change to <linux/time.h> adapts it to use the
same convention as <time.h>, which appears more complicated as well as more
advanced in development. This file may require re-installation or rechecking
after new kernel code is installed. linux_time.h should be installed as
/usr/include/linux/time.h. This is a K-TEV fix.
%files
/mnt/tmp/time.h
%post
mv /usr/include/linux/time.h /usr/include/linux/time.h.org
cp /mnt/tmp/time.h /usr/include/linux/time.h
rm /mnt/tmp/time.h
